%define url_ver %(echo %version | cut -d. -f1,2)

Summary:	A PackageKit client for the GNOME desktop
Name:	  	gnome-packagekit
Version:	3.6.1
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Packaging
Source0: 	http://download.gnome.org/sources/%{name}/%{url_ver}/%name-%version.tar.xz
URL:		http://www.packagekit.org
BuildRequires:	pkgconfig(packagekit-glib2) >= 0.7.0
BuildRequires:	pkgconfig(libnotify) >= 0.4.3
BuildRequires:	intltool > 0.35.0
BuildRequires:	itstool
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	libxslt-proc
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(unique-1.0) >= 0.9.4
BuildRequires:	libcanberra-devel >= 0.10
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.10
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(polkit-gobject-1)
Requires: %{name}-common = %{version}-%{release}

%description
gnome-packagekit are PackageKit client programs designed for the GNOME desktop.

%package common
Summary:	Common files and services for GNOME PackageKit
Group:		System/Packaging
Requires:	packagekit >= 0.4.8
Provides:	packagekit-gui
Conflicts:	kpackagekit
Conflicts:	%{name} < 3.0.3-2

%description common
Common files and services used by GNOME PackageKit. This packages provides
D-Bus service for packages installation.

%package extra
Summary:	Session applications to manage packages with GNOME PackageKit (extra bits)
Group:		System/Packaging
Requires:	%{name} = %{version}-%{release}

%description extra
Extra GNOME applications for using PackageKit that are not normally needed.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-scrollkeeper \
	--enable-systemd
%make

%install
%makeinstall_std

%find_lang %name --with-help

%files common -f %name.lang
%{_bindir}/gpk-install-*
%{_bindir}/gpk-dbus-service
%dir %{_datadir}/gnome-packagekit
%{_datadir}/gnome-packagekit/gpk-client.ui
%{_datadir}/gnome-packagekit/gpk-error.ui
%{_datadir}/gnome-packagekit/gpk-eula.ui
%{_datadir}/gnome-packagekit/gpk-log.ui
%{_datadir}/gnome-packagekit/gpk-update-viewer.ui
%{_datadir}/gnome-packagekit/gpk-signature.ui
%{_datadir}/gnome-packagekit/icons
%{_datadir}/GConf/gsettings/org.gnome.packagekit.gschema.migrate
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/gpk-install-*
%{_mandir}/man1/gpk-backend-status*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/applications/gpk-install-*.desktop
%{_datadir}/applications/gpk-dbus-service.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.packagekit.gschema.xml

%files
%{_bindir}/gpk-application
%{_bindir}/gpk-log
%{_bindir}/gpk-prefs
%{_bindir}/gpk-update-*
%{_bindir}/gpk-distro-upgrade
%{_datadir}/applications/gpk-application.desktop
%{_datadir}/applications/gpk-prefs.desktop
%{_datadir}/applications/gpk-update-viewer.desktop
%{_datadir}/applications/gpk-distro-upgrade.desktop
%{python_sitelib}/packagekit/g*
%{_mandir}/man1/gpk-application*
%{_mandir}/man1/gpk-prefs*
%{_mandir}/man1/gpk-repo*
%{_mandir}/man1/gpk-update*
%{_datadir}/gnome-packagekit/gpk-application.ui
%{_datadir}/gnome-packagekit/gpk-prefs.ui
%{_datadir}/gnome-packagekit/gpk-update-viewer.ui

%files extra
%{_bindir}/gpk-service-pack
%{_datadir}/applications/gpk-log.desktop
%{_datadir}/applications/gpk-service-pack.desktop
%{_datadir}/gnome-packagekit/gpk-service-pack.ui


%changelog

* Tue Jan 22 2013 fwang <fwang> 3.6.1-4.mga3
+ Revision: 390701
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-3.mga3
+ Revision: 352182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 3.6.1-2.mga3
+ Revision: 323703
- rebuild for new pk

* Thu Nov 15 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 318047
- new version 3.6.1

* Wed Sep 26 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 297834
- there is no patch0

  + ovitters <ovitters>
    - drop merged patch
    - new version 3.6.0

* Thu Aug 30 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 285804
- fix desktop file fix
- update file list
- update file list

  + ovitters <ovitters>
    - new version 3.5.90

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271330
- new version 3.5.4
- update buildrequires
- new version 3.5.3

* Mon Jun 11 2012 ovitters <ovitters> 3.4.2-2.mga3
+ Revision: 259805
- enable systemd

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235657
- new version 3.4.2

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226720
- new version 3.4.0

* Sun Mar 18 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 223822
- new version 3.3.92

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205351
- new version 3.3.5

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184491
- new version 3.3.3

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155717
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148813
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145726
- new version 3.1.92

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136729
- fix desktop files
- new version 3.1.90

* Mon Jul 18 2011 ahmad <ahmad> 3.1.3-1.mga2
+ Revision: 125868
- Update to 3.1.3
- Change the BR to pkgconfig style
- Drop BR gnome-menus-devel, not needed any more

* Thu Jul 14 2011 ahmad <ahmad> 3.0.3-2.mga2
+ Revision: 124064
- Move %%{_datadir}/gnome-packagekit/gpk-log.ui to -common, otherwise
  gpk-dbus-service segfaults when searching for a command (e.g. when file-roller
  tries to open a .rar file and packagekit tries to install unrar).

* Tue Jul 05 2011 fwang <fwang> 3.0.3-1.mga2
+ Revision: 118592
- update file list
- add back gconf
- update file list
- new version 3.0.3

* Mon Feb 28 2011 eandry <eandry> 2.32.0-3.mga1
+ Revision: 61721
- BR libcanberra-gtk
- drop buildroot
- drop old conflicts/obsoletes/provides
- imported package gnome-packagekit

